Get list of companys
Updated date: 18/08/2026
Updated by: VNPT eContract's team
Purpose
Retrieve the information of the company list associated with the logged-in account.
- Request URL:
/api/auth/get-companies - HTTP method:
GET - Authorize:
Bearer token - Parameter: Not required
Sample response body
{
"data": [
{
"id": 164,
"name": "VNPT eContract Company",
"address": "42 Truong Quyen, Quan 3, TP.Ho Chi Minh",
"taxCode": "0108212803-012",
"createdDate": "2021-01-04T23:03:28.0149563",
"status": {
"value": 0,
"description": "Enable"
}
}
],
"success": true,
"code": 0,
"messages": []
}
Response Body Description
| Key | Type | Description |
|---|---|---|
success | boolean | Response status (true: Success, false: Failure) |
code | int | Response code from the system |
messages | array | List of messages or errors returned (e.g., ["User's company not found"]) |
data | array | List (Array[object]) containing detailed company information (see details below) |
Details of data:
The data field contains a list of company objects with the following properties:
| Key | Type | Description |
|---|---|---|
id | int | Company ID |
name | string | Company name |
address | string | Company address |
taxCode | string | Company tax code |
createdDate | string | Data creation time (ISO 8601 format) |
status | object | Company status: {"value": 0, "description": "Enabled"}0: Enabled -1: Disabled -2: Deleted |